=== debian/changelog ===
xca (2.2.1-1) unstable; urgency=medium

  * New upstream release (2.2.1).
  * d/control: Update Standards-Version to 4.5.0.
  * d/patches/0001-Remove-misc-Info.plist-in-clean-target.patch: Refresh patch
  * d/patches/0002-pkg-config-remove-hardcoding.patch: Refresh patch

 -- Thomas Ward <teward@ubuntu.com>  Mon, 03 Feb 2020 19:50:58 -0500

xca (2.1.2-3) unstable; urgency=medium

  * Fix FTCBFS: Export QT_SELECT. (Closes: #947481)
    Thanks to Helmut Grohne for patch.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 27 Dec 2019 10:29:47 -0500

xca (2.1.2-2) unstable; urgency=medium

  * d/patches/0002-pkg-config-remove-hardcoding.patch: Remove hard-coded
    pkg-config in configure.ac, and replace it with $PKG_CONFIG references
    instead.
    Thanks to Helmut Grohne for the 1.4.1-1 patch, which is the basis
    for this patch.
    (Closes: #896891)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 03 Sep 2019 16:27:02 -0400

xca (2.1.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #927233)
  * d/watch: Update watch file to track upstream xca repository on Github.
  * d/compat: Update Debhelper compatibility to latest (12)
  * d/control:
    - New maintainer (Closes #931806)
    - Update Standards-Version to 4.4.0
    - Update Homepage to proper Upstream URL
    - Update Vcs-Git to point at Debian Salsa. Package now uses a
      git-buildpackage (gbp) workflow.
    - Add Vcs-Browser field.
    - Reorganize Build-Depends to be more readable.
    - Remove dh-autoreconf build depends.
    - Update debhelper build depends (compat is 12, so use debhelper >= 12)
    - Make requisite changes to adjust xca built by the packages to enable
      Remote DB support in xca: (Closes: #928678)
      - Add libqt5sql5 Build-Depends for Remote DB support.
      - Add Recommends on libqt5sql5-{mysql,postgresql} to xca package.
  * d/patches/0001-Remove-misc-Info.plist-in-clean-target.patch: Refresh
    patch to remove fuzz.
  * d/copyright: Update copyright file to be Machine-readable per
    https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Thomas Ward <teward@ubuntu.com>  Sat, 13 Jul 2019 18:17:10 -0400
