## xca 2.3.0

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,6 @@
 	-pkcs11module /usr/lib/x86_64-linux-gnu/pkcs11-spy.so \
 	-n "XCA $(VERSION)" -i https://hohnstaedt.de/xca \
 	-t http://timestamp.comodoca.com -h sha2
-
-MAKENSIS=makensis
 
 ifeq ($(SUFFIX), .exe)
 all: xca-portable.zip msi-installer-dir.zip
@@ -95,13 +93,13 @@
 		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app
 
 clean:
-	find lib widgets img misc  -name "*.o" \
+	find lib widgets img misc -name "*.o" \
 				-o -name ".build-stamp" \
 				-o -name ".depend" \
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
 	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt
-	rm -f commithash.h misc/oids.txt
+	rm -f commithash.h misc/oids.txt misc/variables.wxi
 	rm -f xca$(SUFFIX) *.dmg xca-portable*.zip msi-installer-dir*.zip xca*.msi
 	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)*
 
@@ -128,9 +126,9 @@
 		gzip -9 > xca-$${HASH}.tar.gz
 
 install: xca$(SUFFIX) $(INSTTARGET)
-	install -m 755 -d $(destdir)$(bindir)
-	install -m 755 xca $(destdir)$(bindir)
-	$(STRIP) $(destdir)$(bindir)/xca
+	install -m 755 -d $(DESTDIR)$(bindir)
+	install -m 755 xca $(DESTDIR)$(bindir)
+	$(STRIP) $(DESTDIR)$(bindir)/xca
 
 xca$(SUFFIX).signed: xca$(SUFFIX)
 
@@ -147,7 +145,7 @@
 
 xca-portable-$(VERSION): xca$(SUFFIX).signed do.doc do.lang do.misc
 	rm -rf $@
-	mkdir -p $@/sqldrivers $@/platforms $@/html $@/i18n
+	mkdir -p $@/sqldrivers $@/platforms $@/html $@/i18n $@/styles
 	cp xca$(SUFFIX).signed $@/xca$(SUFFIX)
 	cp $(patsubst %,misc/%.txt, dn eku oids) \
 	   $(patsubst %,"$(QTDIR)/bin/%.dll", Qt5Gui Qt5Core Qt5Widgets \
@@ -161,6 +159,7 @@
 	sed 's/$$/\r/' < "$(TOPDIR)"/COPYRIGHT > $@/copyright.txt
 	cp "$(QTDIR)/plugins/platforms/qwindows.dll" $@/platforms
 	cp $(patsubst %,"$(QTDIR)/plugins/sqldrivers/%.dll", qsqlite qsqlmysql qsqlpsql qsqlodbc) $@/sqldrivers
+	cp -a "$(QTDIR)/plugins/styles/qwindowsvistastyle.dll" "$@/styles"
 
 
 xca-portable.zip: xca-portable-$(VERSION).zip
