=== debian/changelog ===
xca (2.3.0-1) unstable; urgency=medium

  * New upstream release (2.3.0)
  * This upload will also fix the following Debian BTS Bugs:
    - "xca: OLD LN differs warning popups at startup" (Closes: #958886)
    - "xca: New upstream version 2.3.0 available" (Closes: #960580)
  * Additional changes:
    - d/patches/0003-fix-autoheader.patch: Apply upstream (pending) fixes 
      to handle issue with autoheader changes and build failures.
    - debian/control: Replace Recommends postgresql dependency to
      libqt5sql5-psql

 -- Thomas Ward <teward@ubuntu.com>  Mon, 27 Apr 2020 09:53:56 -0400
