=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt5sql5-sqlite
-Recommends: libqt5sql5-mysql, libqt5sql5-postgresql
+Recommends: libqt5sql5-mysql, libqt5sql5-psql
 Description: x509 Certification Authority management tool based on QT
  XCA creates and manages Certificate authorities and helps the user to
  create and manage keys, certificates, certificate sign requests,
