=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/RELEASE\.?(\d\S+)\.tar\.gz/xca-$1\.tar\.gz/ \
  https://github.com/chris2511/xca/tags .*\/RELEASE\.(\d{1,2}\.\d{1,2}.\d{1,2})\.tar\.gz
