## xca 2.4.0

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,12 @@
 OBJECTS=$(patsubst %, %/.build-stamp, $(SUBDIRS))
 INSTDIR=misc lang doc img
 INSTTARGET=$(patsubst %, install.%, $(INSTDIR))
+INSTSTAMP=$(patsubst %, %/.install-stamp, $(INSTDIR))
 APPTARGET=$(patsubst %, app.%, $(INSTDIR))
 
 DMGSTAGE=$(BUILD)/xca-$(VERSION)
 MACTARGET=$(DMGSTAGE)${EXTRA_VERSION}
-APPDIR=$(DMGSTAGE)/xca.app/Contents
+APPDIR=$(BUILD)/xca.app/Contents
 OSSLSIGN=PKCS11SPY=/opt/SimpleSign/libcrypto3PKCS.so /usr/local/bin/osslsigncode
 
 OSSLSIGN_OPT=sign -askpass -certs ~/osdch.crt -askpass \
@@ -43,7 +44,13 @@
 all: xca-portable.zip msi-installer-dir.zip
 else
 ifneq ($(MACDEPLOYQT),)
-all: $(MACTARGET).dmg
+all: xca.dmg
+ifneq ($(APPLE_DEVELOPER),)
+APPLE_CERT_ID_APP=Developer ID Application: $(APPLE_DEVELOPER)
+APPLE_CERT_3PARTY_INST=3rd Party Mac Developer Installer: $(APPLE_DEVELOPER)
+APPLE_CERT_3PARTY_APP=3rd Party Mac Developer Application: $(APPLE_DEVELOPER)
+all: xca.pkg
+endif
 else
 all: xca$(SUFFIX) do.doc do.lang
 	@echo
@@ -55,6 +62,7 @@
 
 ifeq ($(MAKECMDGOALS),)
 MAKEFLAGS += -s
+export DOCTOOLFLAGS += -q
 PRINT=echo
 else
 PRINT=:
@@ -73,7 +81,7 @@
 
 do.ui do.doc do.lang do.misc: do.%:
 	mkdir -p $*
-	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* all
 
 headers: do.ui commithash.h
 
@@ -82,12 +90,17 @@
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$*
 
+%/.install-stamp: %/.build-stamp headers
+	mkdir -p $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
+		VPATH=$(TOPDIR)/$* .install-stamp
+
 $(INSTTARGET): install.%: %/.build-stamp
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$* install
 
-$(APPTARGET): app.%: %/.build-stamp
+$(APPTARGET): app.%: %/.install-stamp
 	mkdir -p $*
 	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app
@@ -99,9 +112,9 @@
 				-o -name "moc_*.cpp" | xargs rm -f
 	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
 	rm -f lang/*.xml lang/.build-stamp misc/dn.txt misc/eku.txt
-	rm -f commithash.h misc/oids.txt misc/variables.wxi
+	rm -f commithash.h misc/oids.txt misc/variables.wxi doc/xca.1
 	rm -f xca$(SUFFIX) *.dmg xca-portable*.zip msi-installer-dir*.zip xca*.msi
-	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)*
+	rm -rf xca-$(VERSION)* msi-installer-dir-$(VERSION)* xca-portable-$(VERSION)* doc/html/ doc/qthelp/ doc/sphinx
 
 distclean: clean
 	rm -f local.h Local.mak config.log config.status misc/Info.plist
@@ -140,8 +153,8 @@
 	  mv "$<" "$@"; \
 	fi
 
-msi-installer-dir-$(VERSION): misc/xca.wxs misc/xca.bat misc/variables.wxi img/banner.bmp img/dialog.bmp img/key.ico misc/copyright.rtf
-	rm -f $@/* && mkdir -p $@ && cp -ra $^ $@
+msi-installer-dir-$(VERSION): misc/xca.wxs misc/xca.bat misc/variables.wxi img/banner.bmp img/dialog.bmp img/xca.ico misc/copyright.rtf
+	rm -f $@/* && mkdir -p $@ && cp -a $^ $@
 
 xca-portable-$(VERSION): xca$(SUFFIX).signed do.doc do.lang do.misc
 	rm -rf $@
@@ -149,11 +162,11 @@
 	cp xca$(SUFFIX).signed $@/xca$(SUFFIX)
 	cp $(patsubst %,misc/%.txt, dn eku oids) \
 	   $(patsubst %,"$(QTDIR)/bin/%.dll", Qt5Gui Qt5Core Qt5Widgets \
-		Qt5Sql libwinpthread-1 libstdc++-6 libgcc_s_seh-1) \
+		Qt5Sql Qt5Help libwinpthread-1 libstdc++-6 libgcc_s_seh-1) \
 	   "$(INSTALL_DIR)/bin/libltdl-7.dll" \
 	   "$(INSTALL_DIR)/bin/libcrypto-1_1-x64.dll" \
 	   "$(TOPDIR)"/misc/*.xca "${TOPDIR}/../sql/"*.dll $@
-	cp doc/*.html $@/html
+	cp -a doc/qthelp/*.html doc/qthelp/xca.qhc doc/qthelp/xca.qch $@/html
 	cp $(patsubst %,"$(QTDIR)/translations/qt_%.qm", de es pl pt ru fr sk it ja) \
 		lang/*.qm $@/i18n
 	sed 's/$$/\r/' < "$(TOPDIR)"/COPYRIGHT > $@/copyright.txt
@@ -167,37 +180,69 @@
 %-$(VERSION).zip: %-$(VERSION)
 	zip -r $@ $^
 
-$(DMGSTAGE): xca$(SUFFIX)
+$(DMGSTAGE): xca.app
+	@$(PRINT) "  DMGDIR $@"
 	rm -rf $(DMGSTAGE)
-	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
-	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
-	mkdir -p $(DMGSTAGE)/manual
+	mkdir -p $(DMGSTAGE)
+	cp -a xca.app $(DMGSTAGE)
 	ln -s /Applications $(DMGSTAGE)
 	install -m 644 $(TOPDIR)/COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
-	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
-	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
+	$(ENABLE_DOC)mkdir -p $(DMGSTAGE)/manual
+	$(ENABLE_DOC)cp -a doc/html $(DMGSTAGE)/manual/
+	$(ENABLE_DOC)ln -sf html/index.html $(DMGSTAGE)/manual/
+	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
+	touch $@
+
+xca.app: xca$(SUFFIX) $(INSTSTAMP)
+	@$(PRINT) "  APP    $@"
+	rm -rf $@
+	mkdir -p $@/Contents/MacOS
+	install -m 755 $< $@/Contents/MacOS
 	$(MAKE) $(APPTARGET)
-	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
-	ln -s xca.html $(DMGSTAGE)/manual/index.html
-	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
+	touch $@
 
 xca.dmg: $(MACTARGET).dmg
 
-xca.app: $(DMGSTAGE)
+CODESIGN=codesign --deep --signature-size=96000 --options=runtime --timestamp
 
 $(MACTARGET).dmg: $(DMGSTAGE)
+	@$(PRINT) "  DMG    $@"
 	# Check for "Users" or "chris" in the resulting DMG image
-	rpath="`cd $(DMGSTAGE) && otool -l xca.app/Contents/MacOS/xca | grep -e "chris\|Users" ||:`" && \
+	rpath="`cd $^ && otool -l xca.app/Contents/MacOS/xca | grep -e "chris\|Users" ||:`" && \
 	if test -n "$$rpath"; then echo "  ERROR $$rpath"; false; fi
-	-codesign --force --deep --signature-size=96000 -s "Christian Hohnstaedt" $(DMGSTAGE)/xca.app --timestamp
+	test -z "$(APPLE_CERT_ID_APP)" || \
+		$(CODESIGN) -s "$(APPLE_CERT_ID_APP)" $(DMGSTAGE)/xca.app
 	hdiutil create -ov -fs HFS+ -volname "xca-$(VERSION)" -srcfolder "$<" "$@"
+
+xca.pkg: $(MACTARGET).pkg
+
+APPSTORE_DIR=AppStore
+xca.app.dSYM: xca$(SUFFIX)
+	@$(PRINT) "  SYM    $@"
+	dsymutil $^ -o $@
+	touch $@
+
+$(MACTARGET).pkg: xca.app xca.app.dSYM
+	@$(PRINT) "  PKG    $@"
+	rm -rf $(APPSTORE_DIR)
+	mkdir -p $(APPSTORE_DIR)/dSYM
+	cp -a $^ $(APPSTORE_DIR)
+	$(MACDEPLOYQT) $(APPSTORE_DIR)/xca.app -appstore-compliant
+	$(CODESIGN) -s "$(APPLE_CERT_3PARTY_APP)" --entitlements $(TOPDIR)/misc/entitlement.plist $(APPSTORE_DIR)/xca.app
+	# Having the xca.app.dSYM around is apparently not sufficient
+	symbols -noTextInSOD -noDaemon -arch all \
+		-symbolsPackageDir $(APPSTORE_DIR)/dSYM \
+		xca.app.dSYM/Contents/Resources/DWARF/xca
+	productbuild --symbolication $(APPSTORE_DIR)/dSYM \
+		--component $(APPSTORE_DIR)/xca.app /Applications \
+		--sign "$(APPLE_CERT_3PARTY_INST)" $@
 
 trans:
 	$(MAKE) -C lang po2ts
 	lupdate -locations relative $(TOPDIR)/xca.pro
 	$(MAKE) -C lang xca.pot
 
-.PHONY: $(SUBDIRS) $(INSTDIR) xca.app doc lang macdeployqt/macdeployqt $(DMGSTAGE) commithash.h xca-portable.zip msi-installer-dir.zip
+.PHONY: $(SUBDIRS) $(INSTDIR) commithash.h xca-portable.zip msi-installer-dir.zip
 
 do.doc do.lang headers: local.h
