=== ui/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 
 include $(TOPDIR)/Rules.mak
 
-ui: $(UI_H)
+ui all: $(UI_H)
