=== widgets/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView \
 	NewCrl SearchPkcs11 RevocationList XcaProxyModel XcaHeaderView \
 	KeyTreeView TempTreeView ReqTreeView X509SuperTreeView CertTreeView \
-	OidResolver OpenDb
+	OidResolver OpenDb XcaWarning CrlTreeView XcaApplication Help
 
-NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
+NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help
 OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))
 
 include $(TOPDIR)/Rules.mak
