=== debian/changelog ===
xca (2.4.0-2) unstable; urgency=medium

  * New patches added:
    - d/patches/xca-240-ossl3.patch: Upstream OpenSSL 3.0 compatibility
      patches to allow builds and compat with OpenSSL 3.0.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 11 Feb 2022 16:17:45 -0500

xca (2.4.0-1) unstable; urgency=medium

  * New upstream release (2.4.0)
  * Additional changes:
    - Drop d/patches/0003-fix-autoheader.patch - this is already fixed 
      in 2.4.0.
    - d/control: Add qttools5-dev package to build dependencies.
    - d/xca-dbgsym.lintian-overrides: Suppress a warning about ELF 
      decoder in Lintian - seen in sbuild tests against Unstable.

 -- Thomas Ward <teward@ubuntu.com>  Fri, 10 Dec 2021 19:23:24 -0500
