=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Thomas Ward <teward@ubuntu.com>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
+               qttools5-dev,
                qttools5-dev-tools,
                libssl-dev,
                linuxdoc-tools,
